// scripts for IARrific - nicktech.org

// show/hide IAR/DLM stuff
$j('#AltAssessmentIndicator').on('change', function(){
    if($j(this).val() === '01') {
        $j('.parccrow').hide();
        $j('#DLM_AA_OLD').val('1');
    } else {
        $j('.parccrow').show();
        $j('#DLM_AA_OLD').val('0');
    }
});

function PARCCvalAll() {
   $j('.parccVal').each(function() {
      validateElement($j(this));
   });
   return "";
}

// *** start PS validation

// Alt representation-paper, large print, answers recorded in test book
function ela_paper_iep_radio(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_ELA_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if ($j(jQueryInput).prop('checked')===true && ($j('#PARCC_ELA_Test_Format').val() !== 'P' || iep_504 === "no")) {
       return "Requires ELA Test Format be paper<br>and IEP or ELA 504 accommodation";
   }
}
function math_paper_iep_radio(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_Math_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if ($j(jQueryInput).prop('checked')===true && ($j('#PARCC_Math_Test_Format').val() !== 'P' || iep_504 === "no")) {
       return "Requires Math Test Format be paper<br>and IEP or Math 504 accommodation";
   }
}
// Spanish Transadaptation of the Mathematics Assessment
function math_transSpanish(jQueryInput) {
   if ($j(jQueryInput).prop('checked')===true && (($j('.il_lep:contains("No")').length > 0 && $j('.dual_lang:contains("No")').length > 0) || $j('#PARCC_Math_ASL_Video_yes').prop('checked')===true || $j('#PARCC_Math_Screen_Reader_App').val() == '05' || $j('#PARCC_Math_Screen_Reader_App').val() == '06' || (["12", "13", "14", "15"].indexOf($j('#PARCC_Math_Text_To_Speech').val()) > -1))) {
      return "Requires LEP or Dual Language, no ASL Video<br>no Screen Reader, no Text-to-Speech";
   }
}

// Color contrast
function ela_colorContrast(jQueryInput) {
   if ($j(jQueryInput).val() == '07' && $j('#PARCC_ELA_Test_Format').val() !== 'P') {
      return "Color overlay requires<br>ELA Test Format be paper";
   } else if ((["01", "02", "03", "04", "05", "06"].indexOf($j(jQueryInput).val()) > -1) && $j('#PARCC_ELA_Test_Format').val() == 'P') {
      return "Color contrast 1-6 requires<br>ELA Test Format be online/blank";    
   }
}
function math_colorContrast(jQueryInput) {
   if ($j(jQueryInput).val() == '07' && $j('#PARCC_Math_Test_Format').val() !== 'P') {
      return "Color overlay requires<br>Math Test Format be paper";
   } else if ((["01", "02", "03", "04", "05", "06"].indexOf($j(jQueryInput).val()) > -1) && $j('#PARCC_Math_Test_Format').val() == 'P') {
      return "Color contrast 1-6 requires<br>Math Test Format be online/blank";    
   }
}
// text-to-speech
function ela_textSpeech(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_ELA_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if ($j(jQueryInput).val() == '11' && ($j('#PARCC_ELA_Test_Format').val() == 'P' || iep_504 === "no" || $j('#PARCC_ELA_ASL_Video_yes').prop('checked')===true || $j('#PARCC_ELA_Screen_Reader_App').val() == '05' || $j('#PARCC_ELA_Screen_Reader_App').val() == '06' || $j('#PARCC_ELA_Closed_Caption_yes').prop('checked')===true || $j('#PARCC_ELA_Braille_Display_yes').prop('checked')===true || $j('#PARCC_ELA_Human_Reader').val() == '03' || $j('#PARCC_ELA_Human_Reader').val() == '04')) {
      return "Requires ELA Test Format online/blank<br>IEP or ELA 504 accommodation<br>no ASL Video<br>no Screen Reader<br>no Closed Captioning<br>no Refreshable Braille<br>no Human Signer/Reader";
   }
}
function math_textSpeech(jQueryInput) {
   if ((["12", "13"].indexOf($j(jQueryInput).val()) > -1) && ($j('#PARCC_Math_Test_Format').val() == 'P' || $j('#PARCC_Math_ASL_Video_yes').prop('checked')===true || $j('#PARCC_Math_Screen_Reader_App').val() == '05' || $j('#PARCC_Math_Screen_Reader_App').val() == '06' ||  $j('#PARCC_Math_Human_Reader').val() == '03' || $j('#PARCC_Math_Human_Reader').val() == '04' || $j('#PARCC_Math_Translate_Spanish').val() == '01')) {
      return "Requires Math Test Format online/blank<br>no ASL Video<br>no Screen Reader<br>no Human Signer/Reader<br>no Spanish Transadaptation";
   } else if ((["14", "15"].indexOf($j(jQueryInput).val()) > -1) && (($j('#PARCC_Math_Test_Format').val() == 'P' || ($j('.il_lep:contains("No")').length > 0 && $j('.dual_lang:contains("No")').length > 0) || $j('#PARCC_Math_ASL_Video_yes').prop('checked')===true || $j('#PARCC_Math_Screen_Reader_App').val() == '05' || $j('#PARCC_Math_Screen_Reader_App').val() == '06' ||  $j('#PARCC_Math_Human_Reader').val() == '03' || $j('#PARCC_Math_Human_Reader').val() == '04' || $j('#PARCC_Math_Translate_Spanish').val() == '01'))) {
      return "Requires Math Test Format online/blank<br>LEP Indicator or Dual Language<br>no ASL Video<br>no Screen Reader<br>no Human Signer/Reader<br>no Spanish Transadaptation";
   }
}
// human signer or reader
function ela_humanReader(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_ELA_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if (($j(jQueryInput).val() == '03' || $j(jQueryInput).val() == '04') && (iep_504 === "no" || $j('#PARCC_ELA_ASL_Video_yes').prop('checked')===true || $j('#PARCC_ELA_Screen_Reader_App').val() == '05' || $j('#PARCC_ELA_Screen_Reader_App').val() == '06' || $j('#PARCC_ELA_Closed_Caption_yes').prop('checked')===true || $j('#PARCC_ELA_Braille_Display_yes').prop('checked')===true || $j('#PARCC_ELA_Text_To_Speech').val() == '11')) {
      return "Requires IEP or ELA 504 accommodation<br>no ASL Video<br>no Screen Reader<br>no Closed Captioning<br>no Refreshable Braille<br>no Text-to-Speech";
   }
}
function math_humanReader(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_Math_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if (($j(jQueryInput).val() == '03' || $j(jQueryInput).val() == '04') && ($j('#PARCC_Math_ASL_Video_yes').prop('checked')===true || $j('#PARCC_Math_Screen_Reader_App').val() == '05' || $j('#PARCC_Math_Screen_Reader_App').val() == '06' || $j('#PARCC_Math_Braille_Display_yes').prop('checked')===true || $j('#PARCC_Math_Text_To_Speech').val() == '11')) {
      return "no ASL Video<br>no Screen Reader<br>no Refreshable Braille<br>no Text-to-Speech";
   }
}
// asl video
function ela_asl(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_ELA_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if ($j(jQueryInput).prop('checked')===true && (iep_504 === "no" || $j('#PARCC_ELA_Test_Format').val() == 'P' || $j('#PARCC_ELA_Screen_Reader_App').val() == '05' || $j('#PARCC_ELA_Screen_Reader_App').val() == '06' || $j('#PARCC_ELA_Closed_Caption_yes').prop('checked')===true || $j('#PARCC_ELA_Text_To_Speech').val() == '11' || $j('#PARCC_ELA_Human_Reader').val() == '03' || $j('#PARCC_ELA_Human_Reader').val() == '04')) {
      return "Requires Test Format online/blank<br>IEP or ELA 504 accommodation<br>no Screen Reader<br>no Closed Captioning<br>no Text-to-Speech<br>no Human Reader";
   }
}
function math_asl(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_Math_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if ($j(jQueryInput).prop('checked')===true && (iep_504 === "no" || $j('#PARCC_Math_Test_Format').val() == 'P' || $j('#PARCC_Math_Screen_Reader_App').val() == '05' || $j('#PARCC_Math_Screen_Reader_App').val() == '06' || $j('#PARCC_Math_Text_To_Speech').val() == '11' || $j('#PARCC_Math_Human_Reader').val() == '03' || $j('#PARCC_Math_Human_Reader').val() == '04' || $j('#PARCC_Math_Translate_Spanish').val() == '01')) {
      return "Requires Test Format online/blank<br>IEP or Math 504 accommodation<br>no Screen Reader<br>no Text-to-Speech<br>no Human Reader<br>no Math Translation Spanish";
   }
}
// screen reader
function ela_assistTech(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_ELA_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if (($j(jQueryInput).val() == '05' || $j(jQueryInput).val() == '06') && (iep_504 === "no" || $j('#PARCC_ELA_Test_Format').val() == 'P' || $j('#PARCC_ELA_ASL_Video_yes').prop('checked')===true || $j('#PARCC_ELA_Closed_Caption_yes').prop('checked')===true || $j('#PARCC_ELA_Text_To_Speech').val() == '11' || $j('#PARCC_ELA_Human_Reader').val() == '03' || $j('#PARCC_ELA_Human_Reader').val() == '04')) {
      return "Requires Test Format online/blank<br>IEP or ELA 504 accommodation<br>no ASL Video<br>no Closed Captioning<br>no Text-to-Speech<br>no Human Reader";
   }
}
function math_assistTech(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_Math_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if (($j(jQueryInput).val() == '05' || $j(jQueryInput).val() == '06') && (iep_504 === "no" || $j('#PARCC_Math_Test_Format').val() == 'P' || $j('#PARCC_Math_ASL_Video_yes').prop('checked')===true || $j('#PARCC_Math_Text_To_Speech').val() == '11' || $j('#PARCC_Math_Human_Reader').val() == '03' || $j('#PARCC_Math_Human_Reader').val() == '04' || $j('#PARCC_Math_Translate_Spanish').val() == '01')) {
      return "Requires Test Format online/blank<br>IEP or Math 504 accommodation<br>no ASL Video<br>no Text-to-Speech<br>no Human Reader<br>no Math Translation Spanish";
   }
}
// closed captioning
function ela_closedCap(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_ELA_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if ($j(jQueryInput).prop('checked')===true && (iep_504 === "no" || $j('#PARCC_ELA_Test_Format').val() == 'P' || $j('#PARCC_ELA_ASL_Video_yes').prop('checked')===true || $j('#PARCC_ELA_Text_To_Speech').val() == '11' || $j('#PARCC_ELA_Human_Reader').val() == '03' || $j('#PARCC_ELA_Human_Reader').val() == '04' || $j('#PARCC_ELA_Screen_Reader_App').val() == '05' || $j('#PARCC_ELA_Screen_Reader_App').val() == '06')) {
      return "Requires Test Format online/blank<br>IEP or ELA 504 accommodation<br>no ASL Video<br>no Screen Reader<br>no Text-to-Speech<br>no Human Reader";
   }
}
// refreshable braille
function ela_refreshBraille(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_ELA_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if ($j(jQueryInput).prop('checked')===true && ($j('#PARCC_ELA_Test_Format').val() == 'P' || iep_504 === "no" || $j('#PARCC_ELA_Screen_Reader_App').val() !== '05')) {
       return "Requires ELA Test Format be online/blank<br>IEP or ELA 504 accommodation<br>Assistive Technology Screen Reader must be 05";
   }
}
// brialle response
function ela_brailleRes(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_ELA_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if (($j(jQueryInput).val() == '01' || $j(jQueryInput).val() == '02' ) && iep_504 === "no") {
       return "Requires IEP or ELA 504 accommodation";
   }
}
function math_brailleRes(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_Math_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if (($j(jQueryInput).val() == '01' || $j(jQueryInput).val() == '02' ) && iep_504 === "no") {
       return "Requires IEP or Math 504 accommodation";
   }
}
// braille with tactile graphics
function ela_brailleTac(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_ELA_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if (($j(jQueryInput).val() == '11' || $j(jQueryInput).val() == '12' ) && (iep_504 === "no" || $j('#PARCC_ELA_Test_Format').val() !== 'P' || $j('#PARCC_ELA_Large_Print_yes').prop('checked')===true)) {
       return "Requires ELA Test Format paper<br>IEP or ELA 504 accommodation<br>no Large Print";
   }
}
function math_brailleTac(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_Math_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if (($j(jQueryInput).val() == '11' || $j(jQueryInput).val() == '12' ) && (iep_504 === "no" || $j('#PARCC_Math_Test_Format').val() !== 'P' || $j('#PARCC_Math_Large_Print_yes').prop('checked')===true)) {
       return "Requires Math Test Format paper<br>IEP or Math 504 accommodation<br>no Large Print";
   }
}
// calculation device
function math_calc(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_Math_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if ((["03", "04", "05"].indexOf($j(jQueryInput).val()) > -1) && iep_504 === "no") {
       return "Requires IEP or Math 504 accommodation";
   }
}
// ELA constructed response, ELA selected response
function ela_response(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_ELA_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if ((["01", "02", "03", "04"].indexOf($j(jQueryInput).val()) > -1) && iep_504 === "no") {
       return "Requires IEP or ELA 504 accommodation";
   }
}
// math response
function math_response(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_Math_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if ((["01", "02", "03", "04"].indexOf($j(jQueryInput).val()) > -1) && iep_504 === "no") {
       return "Requires IEP or Math 504 accommodation";
   }
}
// ELA_Extensions
function ela_extensions(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_ELA_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if ($j(jQueryInput).prop('checked')===true && ($j('#PARCC_ELA_Test_Format').val() == 'P' || iep_504 === "no" || $j('#PARCC_ELA_Screen_Reader_App').val() !== '06')) {
       return "Requires ELA Test Format be online/blank<br>IEP or ELA 504 accommodation<br>Assistive Technology Screen Reader/Non-Screen Reader must be 06";
   }
}
// monitor test response, word prediction, Human Signer for Test Directions
function ela_iep_radio(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_ELA_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if ($j(jQueryInput).prop('checked')===true && iep_504 === "no") {
       return "Requires IEP or ELA 504 accommodation";
   }
}
function math_iep_radio(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_Math_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
   if ($j(jQueryInput).prop('checked')===true && iep_504 === "no") {
       return "Requires IEP or Math 504 accommodation";
   }
}
// Unique Accommodation
function ela_iep_lep_radio(jQueryInput) {
    var iep_504_lep = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_ELA_Accom_504_yes').prop('checked')===true || $j('.il_lep:contains("Yes")').length > 0) {
        var iep_504_lep = "yes"
    } else {
       var iep_504_lep = "no"
    }
   if ($j(jQueryInput).prop('checked')===true && iep_504_lep === "no") {
       return "Requires IEP, LEP or ELA 504 accommodation";
   }
}
function math_iep_lep_radio(jQueryInput) {
    var iep_504_lep = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_MATH_Accom_504_yes').prop('checked')===true || $j('.il_lep:contains("Yes")').length > 0) {
        var iep_504_lep = "yes"
    } else {
       var iep_504_lep = "no"
    }
   if ($j(jQueryInput).prop('checked')===true && iep_504_lep === "no") {
       return "Requires IEP, LEP or Math 504 accommodation";
   }
}
// mathmatics response EL
function math_response_el(jQueryInput) {
   if (($j(jQueryInput).val() === '01' || $j(jQueryInput).val() === '02') && $j('.il_lep:contains("No")').length > 0) {
       return "Requires LEP";
   }
}
// ELA Administration Directions Read Aloud in Students Native Language
function ela_admin_native(jQueryInput) {
   if ($j(jQueryInput).val() !== '' && $j('.il_lep:contains("No")').length > 0) {
       $j('#ela_admin_native_message').show();
       return "Requires LEP";
   } else {
        $j('#ela_admin_native_message').hide();
   }
}
// Math Administration Directions Read Aloud in Students Native Language
function math_admin_native(jQueryInput) {
   if ($j(jQueryInput).val() !== '' && $j('.il_lep:contains("No")').length > 0) {
       $j('#math_admin_native_message').show();
       return "Requires LEP";
   } else {
        $j('#math_admin_native_message').hide();
   }
}
// word to word dictionary or Administration Directions Clarified in Students Native Language
function radio_lep(jQueryInput) {
   if ($j(jQueryInput).prop('checked')===true && $j('.il_lep:contains("No")').length > 0) {
       return "Requires LEP";
   }
}
// extended time
function ela_time(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_ELA_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
    var iep_504_lep = ""
    if (($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_ELA_Accom_504_yes').prop('checked')===true) && $j('.il_lep:contains("Yes")').length > 0) {
        var iep_504_lep = "yes"
    } else {
       var iep_504_lep = "no"
    }
   if ($j(jQueryInput).val() == '01' && $j('.il_lep:contains("No")').length > 0) {
       return "01 requires LEP";
   } else if ($j(jQueryInput).val() == '02' && iep_504 === "no") {
       return "02 requires IEP or ELA 504 accommodation";       
   } else if ($j(jQueryInput).val() == '03' && iep_504_lep === "no") {
       return "03 requires IEP or ELA 504 accommodation and LEP";       
   }
}
function math_time(jQueryInput) {
    var iep_504 = ""
    if ($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_Math_Accom_504_yes').prop('checked')===true) {
        var iep_504 = "yes"
    } else {
       var iep_504 = "no"
    }
    var iep_504_lep = ""
    if (($j('.il_iep:contains("Yes")').length > 0 || $j('#PARCC_Math_Accom_504_yes').prop('checked')===true) && $j('.il_lep:contains("Yes")').length > 0) {
        var iep_504_lep = "yes"
    } else {
       var iep_504_lep = "no"
    }
   if ($j(jQueryInput).val() == '01' && $j('.il_lep:contains("No")').length > 0) {
       return "01 requires LEP";
   } else if ($j(jQueryInput).val() == '02' && iep_504 === "no") {
       return "02 requires IEP or Math 504 accommodation";       
   } else if ($j(jQueryInput).val() == '03' && iep_504_lep === "no") {
       return "03 requires IEP or Math 504 accommodation and LEP";       
   }
}
// *** end PS validation

// runs at page submit to clear fields if their containing div is hidden
  function clear_hidden() {
	if($j("#ela_accommodations").prop('checked')===false){
		$j("#ela_div").children().find("input,select").each(function(){
   			$j(this).val('');
		});
	}
	if($j("#math_accommodations").prop('checked')===false) {
		$j("#math_div").children().find("input,select").each(function(){
   			$j(this).val('');
		});
	}
  }
$j('#myform').submit(clear_hidden);

// runs at page load
$j(document).ready(function(){
// trigger show/hide IAR/DLM
    $j('#AltAssessmentIndicator').trigger('change');
// determine if values exist from other state page and if so check parent box and alert
        var elaradio = 0;
        var eladropdown = 0;
        var elatotal = 0;
        var mathradio = 0;
        var mathdropdown = 0;
        var mathtotal = 0;
    $j("#ela_div input.radioYes:checked").each(function(){     
          elaradio+= Number($j(this).val());
    })
    $j("#ela_div select").each(function(){     
          eladropdown+= Number($j(this).val());
    })
        var elatotal = elaradio + eladropdown;
    if(elatotal > 0 && (!$j('#ela_accommodations').is(':checked'))) {
        $j('#ela_accommodations').prop('checked', true);
        $j('#ela_div_message').show();
    }
    $j("#math_div input.radioYes:checked").each(function(){     
          mathradio+= Number($j(this).val());
    })
    $j("#math_div select").each(function(){     
          mathdropdown+= Number($j(this).val());
    })
        var mathtotal = mathradio + mathdropdown;
    if(mathtotal > 0 && (!$j('#math_accommodations').is(':checked'))) {
        $j('#math_accommodations').prop('checked', true);
        $j('#math_div_message').show();
    }
    
// when ela/math is checked unchecked
  $j("#ela_accommodations").on('change', function() {
     if($j(this).is(':checked')) {
       $j('#ela_div').show();
     	}
	 else if($j(this).prop('checked')===false && $j('#ela_div .error-message').is(":visible")) {
         $j('#ela_accommodations').prop('checked', true);
		alert('Please correct errors in ELA accommodations before unchecking the accommodations checkbox and submitting');
     	}
      else {
      $j('#ela_div').hide();
      }
	});
   $j("#math_accommodations").on('change', function() {
     if($j(this).is(':checked')) {
       $j('#math_div').show();
     	}
	 else if($j(this).prop('checked')===false && $j('#math_div .error-message').is(":visible")) {
         $j('#math_accommodations').prop('checked', true);
		alert('Please correct errors in math accommodations before unchecking the accommodations checkbox and submitting');
     	}
      else {
      $j('#math_div').hide();
      }
	});
    $j("#ela_accommodations, #math_accommodations").trigger('change');
    
// highlight obsolete values
    $j("option:selected:contains('obsolete')").closest("select").after('<div class="alertError">This is an obsolete value and should be changed</div>');
    
//IAR validation update on change 
    $j('#PARCC_ELA_Test_Format, #PARCC_Math_Test_Format, #ela_div input, #math_div input, #ela_div select, #math_div select').on('change', PARCCvalAll);

}); // end on ready